Subject: Need slips of hoya bella to cross-fertilize

From: [email-masked] (Bill Mackin)
Date: 18 Oct 1995 14:22:14 GMT

I have a hoya bella plant that I started from a slip from my
Grandmother.  After 3 years, it is now finally flowering.  I've
never seen this plant in any store or catalog, so I'm looking for 
someone else who has one so I can grow another plant and try to
cross-fertilize them for seed in a couple of years.  Anyone have
one?  They are different from most hoyas in that the leaves are much
smaller and the flowers are small dangling groups of 5-8 blooms, with
4-7 of the blooms arranged in a circle around one center bloom.